> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cj.agc-vie.fnstack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1tokens

> Create user access token



## OpenAPI

````yaml post /v1/tokens
openapi: 3.0.1
info:
  version: 1.0.0
  title: AGC-VIE - Customer Journeys API
  description: This API can be use for Customer journeys integrations with 3PPs
servers:
  - url: https://dev-api-cj-agc-vie.fnstack.dev
security:
  - API Key: []
paths:
  /v1/tokens:
    post:
      tags:
        - Users
      description: Create user access token
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: x-api-key
          in: header
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                phone_number:
                  type: string
                  minLength: 1
                  example: '242059758563'
              required:
                - phone_number
      responses:
        '200':
          description: Retrieve the user access token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserAccessToken'
        '401':
          description: Authentication invalid
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '403':
          description: Resource not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '422':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  schemas:
    UserAccessToken:
      type: object
      properties:
        user:
          type: object
          properties:
            user_id:
              type: string
              example: user_2c1x7X3Q5piB9cHbvvPPKt04bK5
            policy_holder_id:
              type: string
              minLength: 1
              example: phol_2c1x7V4r47ynM4RABVm1Co0UKkG
          required:
            - user_id
            - policy_holder_id
        access_token:
          type: string
          minLength: 1
          description: User access token for the next requests
      required:
        - user
        - access_token
  securitySchemes:
    API Key:
      type: apiKey
      in: header
      name: x-api-key

````